<script lang="ts" setup>
import type { Bike, Station } from '~/entities';

const route = useRoute()
const {data:station} = await useFetch<Station>('http://localhost:8080/api/station/'+route.params.id);

if(!station.value) {
  throw createError({
    statusCode: 404,
    statusMessage: 'Page Not Found'
  })
}

const {data:bikes} = await useFetch<Bike[]>('http://localhost:8080/api/station/'+route.params.id+'/bike');
</script>

<template>
  <div v-if="station">
    <h1>{{ station.name }}</h1>
    <p>position: {{ station.latitude }},{{ station.longitude }}</p>
    <p :class="{error: !station.availables}">Bikes {{ station.availables }}/{{ station.slots }}</p>
    <h2>Bikes</h2>
    <ol v-if="bikes?.length">
      <li v-for="bike of bikes">Bike
        <span v-if="bike.electric">electric {{ bike.battery }}%</span>
      </li>
    </ol>
    <p v-else>No bikes availables</p>
  </div>
</template>

<style scoped></style>
